package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrInstrumentCalibrationMapper;
import com.ruoyi.project.pssr.domain.TPssrInstrumentCalibration;
import com.ruoyi.project.pssr.service.ITPssrInstrumentCalibrationService;

/**
 * 仪校验Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrInstrumentCalibrationServiceImpl implements ITPssrInstrumentCalibrationService
{
    @Autowired
    private TPssrInstrumentCalibrationMapper tPssrInstrumentCalibrationMapper;

    /**
     * 查询仪校验
     *
     * @param id 仪校验ID
     * @return 仪校验
     */
    @Override
    public TPssrInstrumentCalibration selectTPssrInstrumentCalibrationById(Long id)
    {
        return tPssrInstrumentCalibrationMapper.selectTPssrInstrumentCalibrationById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrInstrumentCalibrationMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询仪校验列表
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 仪校验
     */
    @Override
    public List<TPssrInstrumentCalibration> selectTPssrInstrumentCalibrationList(TPssrInstrumentCalibration tPssrInstrumentCalibration)
    {
        return tPssrInstrumentCalibrationMapper.selectTPssrInstrumentCalibrationList(tPssrInstrumentCalibration);
    }

    /**
     * 新增仪校验
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 结果
     */
    @Override
    public int insertTPssrInstrumentCalibration(TPssrInstrumentCalibration tPssrInstrumentCalibration)
    {
        return tPssrInstrumentCalibrationMapper.insertTPssrInstrumentCalibration(tPssrInstrumentCalibration);
    }

    /**
     * 修改仪校验
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 结果
     */
    @Override
    public int updateTPssrInstrumentCalibration(TPssrInstrumentCalibration tPssrInstrumentCalibration)
    {
        return tPssrInstrumentCalibrationMapper.updateTPssrInstrumentCalibration(tPssrInstrumentCalibration);
    }

    /**
     * 批量删除仪校验
     *
     * @param ids 需要删除的仪校验ID
     * @return 结果
     */
    @Override
    public int deleteTPssrInstrumentCalibrationByIds(Long[] ids)
    {
        return tPssrInstrumentCalibrationMapper.deleteTPssrInstrumentCalibrationByIds(ids);
    }

    /**
     * 删除仪校验信息
     *
     * @param id 仪校验ID
     * @return 结果
     */
    @Override
    public int deleteTPssrInstrumentCalibrationById(Long id)
    {
        return tPssrInstrumentCalibrationMapper.deleteTPssrInstrumentCalibrationById(id);
    }
}
